﻿using SyncfusionMvcApplicationChart.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SyncfusionMvcApplicationChart.Controllers
{
    public class TableMesureController : Controller
    {
        private DataContext db = new DataContext();
        public ActionResult Index()
        {
            return View();
        }


        [HttpPost]
        public JsonResult GetData()
        {
            var result = db.TableMesure.Select(tm => new
            {
                FctrlID = tm.Id,
                Order = tm.Order.TrimEnd(),
                Size = tm.Size,
                User = tm.User.TrimEnd(),
                Departement = tm.Departement.TrimEnd(),
                ElementsMesure = tm.ElementsMesure.TrimEnd(),
                DateCtrl = tm.DateCtrl,
                MD = tm.MD,
                C_2 = tm.C_2,
                C_11_2 = tm.C_11_2,
                C_1 = tm.C_1,
                C_3_4 = tm.C_3_4,
                C_1_2 = tm.C_1_2,
                C_1_4 = tm.C_1_4,
                C0 = tm.C0,
                C1_4 = tm.C1_4,
                C1_2 = tm.C1_2,
                C3_4 = tm.C3_4,
                C1 = tm.C1,
                C11_2 = tm.C11_2,
                C2 = tm.C2

            });

            return new JsonNetResult() { Data = result };
            // return Json(result, JsonRequestBehavior.AllowGet);
        }
    }
}