namespace SyncfusionMvcApplicationChart.Models
{
    using System;
    using System.Data.Entity;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Linq;

    public partial class DataContext : DbContext
    {
        public DataContext()
            : base("name=DataContext")
        {
        }

        public virtual DbSet<TableMesure> TableMesure { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Entity<TableMesure>()
                .Property(e => e.Order)
                .IsUnicode(false);

            modelBuilder.Entity<TableMesure>()
                .Property(e => e.User)
                .IsUnicode(false);

            modelBuilder.Entity<TableMesure>()
                .Property(e => e.Departement)
                .IsUnicode(false);

            modelBuilder.Entity<TableMesure>()
                .Property(e => e.ElementsMesure)
                .IsUnicode(false);
        }
    }
}
