namespace SyncfusionMvcApplicationChart.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("TableMesure")]
    public partial class TableMesure
    {
        public int Id { get; set; }

        [Required]
        [StringLength(50)]
        public string Order { get; set; }

        [Required]
        [StringLength(20)]
        public string Size { get; set; }

        [Required]
        [StringLength(50)]
        public string User { get; set; }

        [Required]
        [StringLength(50)]
        public string Departement { get; set; }

        [Required]
        [StringLength(50)]
        public string ElementsMesure { get; set; }

        [Column(TypeName = "date")]
        public DateTime DateCtrl { get; set; }

        public double MD { get; set; }

        [Column("-2")]
        public int? C_2 { get; set; }

        [Column("-11/2")]
        public int? C_11_2 { get; set; }

        [Column("-1")]
        public int? C_1 { get; set; }

        [Column("-3/4")]
        public int? C_3_4 { get; set; }

        [Column("-1/2")]
        public int? C_1_2 { get; set; }

        [Column("-1/4")]
        public int? C_1_4 { get; set; }

        [Column("0")]
        public int? C0 { get; set; }

        [Column("1/4")]
        public int? C1_4 { get; set; }

        [Column("1/2")]
        public int? C1_2 { get; set; }

        [Column("3/4")]
        public int? C3_4 { get; set; }

        [Column("1")]
        public int? C1 { get; set; }

        [Column("11/2")]
        public int? C11_2 { get; set; }

        [Column("2")]
        public int? C2 { get; set; }
    }
}
